sayren Docs
스토어 설정

소셜 로그인 공급자 연결 해제

키를 지운다. 이 공급자로 가입한 구매자 계정과 연결은 남아 다시 연결하면 그대로 로그인된다. 그 사이 이 공급자로만 로그인하는 구매자(`onlyMethodMemberCount`)는 로그인할 수 없다.

DELETE
/v1/store/auth-providers/{provider}

키를 지운다. 이 공급자로 가입한 구매자 계정과 연결은 남아 다시 연결하면 그대로 로그인된다. 그 사이 이 공급자로만 로그인하는 구매자(onlyMethodMemberCount)는 로그인할 수 없다.

AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

provider*string

Response Body

application/json

curl -X DELETE "https://example.com/v1/store/auth-providers/string"
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "passwordLoginEnabled": true,    "passwordOnlyMemberCount": 0,    "storefrontOrigins": [      "string"    ],    "providers": [      {        "provider": "kakao",        "connected": true,        "enabled": true,        "clientIdPrefix": "string",        "secretPrefix": "string",        "lastTestedAt": "string",        "lastTestOk": true,        "linkedMemberCount": 0,        "onlyMethodMemberCount": 0,        "callbackUrl": "http://example.com"      }    ]  },  "error": null}